Subject: bug#39138: 28.0.50; Add variables for shell command output buffer names

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 10 Aug 2020 12:45:04 +0200

Juri Linkov <[email-masked]> writes:

> Oh, I noticed that the patch provided by Tino removed all mentions of
> shell buffer names from the documentation.  While technically this is fine,
> I tried to look from the point of view of users, and realized that it's
> highly unlikely that the users might be interested to know the name of
> the constant 'shell-command-buffer-name', whereas it's very important
> for users to learn that the default name of the shell output buffer is
> "*Shell Command Output*".

I don't really see why?  If the user is using one of these commands, of
course they'll see the buffer names themselves.  If they're writing
code, they should be using 'shell-command-buffer-name', and not the
string "*Shell Command Output*".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no